function res = reg_group(w, sbd_ctx, par)

% Compute the regularizer's value of CUR.
% Input:
%   w: the value vector on the nodes.
%   sbd_ctx: context for submodular optimization, which includes the group graph
%   par: parameters related to the problem
% Output:
%   res: value of the regularizer

  p = par.exp_par.p;
  if isinf(p)
    res = reg_group_inf(w, sbd_ctx.V_by_G);
  else
    [~, fval] = prox_op_sbd(w, 0, sbd_ctx, par);
    res = fval.reg;
  end
  
end
