% clear;  clc;  close all;

function script_CUR(par)

  global y_g
  
  gvalue = get_global_value();
  root = gvalue.root;   
  res_dir = [root '/result/CUR'];   assert(0 ~= exist(res_dir, 'dir'));
  
  par = load_par(par);      ori_par = par;
  
  %%%%%%%%%%%%%%%%%%%%%%%%%
  load([gvalue.data_root '/graph/' par.dname]);
  X = data(:, 2:end);  % remove column 1 which is the label

%   X = X(1:60, 1:200);  % subsample for efficient debug
%   X = X(1:4,1:3);

  % start_spams;

  [par.col, par.row] = size(X);
  graph = make_CUR_glist(par);
  par.graph = grlist_to_graph(graph, par);
  par.sbd_oracle = @submod_oracle_group;
  par.sbd_fun = @(A, sbd_ctx, par)submod_fval_group(A, sbd_ctx.V_by_G);    
  par.sbd_restrict = @submod_restrict_group;
  par.get_secant_init = @get_secant_init_group;
  par.sbd_ctx.G_by_V = par.graph.G_by_V;
  par.sbd_ctx.V_by_G = par.graph.V_by_G;
  par.graph = rmfield(par.graph, {'G_by_V', 'V_by_G'});
  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  X = X - repmat(mean(X, 2), 1, size(X,2));
%   X = mexNormalize(X);  % Rescale the columns of X so that they have unit l2-norm

  X = X / norm(X, 'fro');
  
  loss = obj_CUR(X);

  w0 = zeros(numel(X), 1);

  if strcmp(par.algo, 'fista') == 1
      prox_op = @(w,nest_par)prox_op_group(w, nest_par, par);
      par.opts_nest.lambda = par.exp_par.lambda;
      [w, f, res] = minFISTA(loss.obj, prox_op, w0, par.opts_nest);
    % [w, obj, msg] = minNesterov(loss, reg, prox_op, W0, par.opts_nest);      
             
  elseif ~isempty(strfind(par.algo, 'gcg'))
    if strcmp(par.algo, 'gcg_tum') == 1
      pola = @polar_op_smooth_group;
      num_group = size(par.sbd_ctx.G_by_V, 1);
      y_g = ones(num_group, 1)/num_group;
      
%       par.backup_pola = @polar_op_Secant;        % for debug only 
    elseif strcmp(par.algo, 'gcg_secant') == 1
      pola = @polar_op_Secant;

%       par.backup_pola = @polar_op_smooth_group;   % for debug only
    end
    
    reg = @(w)reg_group(w, par.sbd_ctx, par);

    [w, f, res] = gcg_vec(loss, pola, reg, w0, par);
  else
    error(['Unexpected algorithm: ' par.algo]);
  end
  
  res.opt_sol = w;
  par = ori_par;
  fname = [res_dir '/CUR_' par.dname '_p=' num2str(par.exp_par.p) ...
               '_lam=' par.exp_par.lambda_str '_' par.algo '.mat'];
  save(fname, 'res', 'par');
end
