function script_path(par)

  global theta_buf

  gvalue = get_global_value();
  root = gvalue.root;   
  res_dir = [root '/result/path'];   assert(0 ~= exist(res_dir, 'dir'));
  load([gvalue.data_root '/graph/' par.dname]);

  par = load_par(par);      ori_par = par;
  
  graph.topo_st_trans = graph.topo_st';
  graph.topo_order = topological_order(graph.topo_st) - 1;
  graph.idx = find(graph.topo_st);
  par.sbd_ctx = graph;    clear('graph');
  par.get_secant_init = @get_secant_init_path;
  par.sbd_oracle = @submod_oracle_path_biobox;
    
  % Below two not implemented yet for path coding
  % par.sbd_fun = @(A, sbd_ctx, par)submod_fval_group(A, sbd_ctx.V_by_G);    
  % par.sbd_restrict = @submod_restrict_group;

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  loss = obj_path(data);

  num_var = data.p;
  w0 = zeros(num_var, 1);
  
  if strcmp(par.algo, 'fista') == 1
    prox_op = @(w,nest_par)prox_op_path(w, nest_par, par);
    par.opts_nest.lambda = par.exp_par.lambda;
    [w, f, res] = minFISTA(@loss.obj, prox_op, w0, par.opts_nest);
  % [W, obj, msg] = minNesterov(loss, reg, prox_op, W0, par.opts_nest);
             
  elseif ~isempty(strfind(par.algo, 'gcg'))
    if strcmp(par.algo, 'gcg_tum') == 1
      
      theta_buf = zeros(num_var+2,1);
      pola = @polar_op_pbm_path;
      
%       pola = @polar_op_smooth_path;      
%       par.backup_pola = @polar_op_Secant;   % for debug only

    elseif strcmp(par.algo, 'gcg_secant') == 1      
      pola = @polar_op_Secant;
%       par.backup_pola = @(g)polar_op_smooth_path(g, par); % for debug only

    end
    
    reg = @(w)reg_path(w, par.sbd_ctx, par);
    [w, f, res] = gcg_vec(loss, pola, reg, w0, par);
  else
    error(['Unexpected algorithm: ' par.algo]);
  end

  res.opt_sol = w;
  par = ori_par;
  fname = [res_dir '/path_' par.dname '_p=' num2str(par.exp_par.p) ...
               '_lam=' par.exp_par.lambda_str '_' par.algo '.mat'];
  save(fname, 'res', 'par');
end
