function opts = init_opts_LOB_mv()
 
  opts.init_rank = 30;
  opts.max_iter = 100;
  opts.rtol = 1e-9;
  opts.use_local = true;
  
  % parameters related to testing 
  lbfgsb_in = [];
  lbfgsb_in.maxIter = 5;		 % max number of iterations
  lbfgsb_in.maxFnCall = 1000;	 % max number of calling the function
  lbfgsb_in.relCha = 1e-5;	 % tolerance of constraint satisfaction
  lbfgsb_in.tolPG = 1e-5;		 % final objective function accuracy parameter
  lbfgsb_in.m = 40;
  lbfgsb_in.view = @genericcallback;
  opts.lbfgsb_in = lbfgsb_in;
  
  opts.max_time = 3600*3;
  opts.verbose = 1;
  
  
  opt = struct('maxIter', 600, ... % max number of iterations
             'maxFnCall', 1000, ... % max number of calling the function
             'relCha', 1e-5, ...	 % tolerance of constraint satisfaction
             'tolPG', 1e-5, ... % final objective function accuracy parameter
             'm', 40 ...
             );
  polar_par.lbfgs_opt = opt;

  opt = struct('maxIter', 30,  ... % max number of iterations
               'maxLsIter', 10, ... % max number of line search steps in each iteration
               'maxBdl', 100, ... % max number of bundles to keep
               'maxFnCall', 100, ... % max number of calling the function
               'tolCon', 1e-5, ... % tolerance of constraint satisfaction
               'tolFun', 1e-5, ...   % final objective function accuracy parameter
               'verbose', 0 ...      % print intermediate steps (doesn't seem to work)
               );
  polar_par.pbm_opt = opt;
  polar_par.power_max_iter = 1000;
  polar_par.power_tol_diff = 1e-3;
  polar_par.power_tol_eig = 1e-3;
  polar_par.local_tol = 1e-3;
  polar_par.verbose = 1;
  
  opts.polar_par = polar_par;
  
end
