function opts = init_opts_LS_mv()

  opts_tr.lbfgsb_in ...
    = struct('maxIter', 100, ... % max number of iterations
             'maxFnCall', 1000, ... % max number of calling the function
             'relCha', 1e-5, ...	 % tolerance of constraint satisfaction
             'tolPG', 1e-5, ... % final objective function accuracy parameter
             'm', 40 ...
             );
  
  opts_tr.max_time = 300;
  opts_tr.verbose = 1;
  opts_tr.init_rank = 5;
  opts_tr.max_iter = 100;
  opts_tr.rtol = 1e-6;
  opts_tr.use_local = true;
  opts_tr.ori_par = [];
  
  opts.tr_par = opts_tr;
  
  opt = struct('maxIter', 30,  ... % max number of iterations
               'maxLsIter', 10, ... % max number of line search steps in each iteration
               'maxBdl', 100, ... % max number of bundles to keep
               'maxFnCall', 100, ... % max number of calling the function
               'tolCon', 1e-5, ... % tolerance of constraint satisfaction
               'tolFun', 1e-5, ...   % final objective function accuracy parameter
               'verbose', -1 ...      % print intermediate steps (doesn't seem to work)
               );
  opts.pbm_par = opt;
  opts.pbm_init_par = struct('x0', 0.5, ...
                             'bl', 1e-5, ...
                             'bu', 1-1e-5 ...
                             );
  opts.verbose = 1;
end
